<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{5AAE3E3C-B159-48F6-92EB-BB9D58F55C8F}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>ICQ_sharp</RootNamespace>
    <AssemblyName>ICQ-sharp</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ContactList.cs" />
    <Compile Include="Icq.cs" />
    <Compile Include="IcqSharp.Base\Contact.cs" />
    <Compile Include="IcqSharp.Base\Message.cs" />
    <Compile Include="IcqSharp.Base\MessageType.cs" />
    <Compile Include="IcqSharp.Base\Status.cs" />
    <Compile Include="IcqSharp.Base\TypingNotification.cs" />
    <Compile Include="IcqSharp.Base\XStatus.cs" />
    <Compile Include="IcqSharp.Connections\Channels.cs" />
    <Compile Include="IcqSharp.Connections\Connection.cs" />
    <Compile Include="IcqSharp.Connections\Errors.cs" />
    <Compile Include="IcqSharp.Connections\LameLogin.cs" />
    <Compile Include="IcqSharp.Connections\LoginConnection.cs" />
    <Compile Include="IcqSharp.Connections\SecureLogin.cs" />
    <Compile Include="IcqSharp.Connections\ServerConnection.cs" />
    <Compile Include="IcqSharp.Packets\CliBuddylistRightsRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliFamiliesVersions.cs" />
    <Compile Include="IcqSharp.Packets\CliIcbmParamRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliIcbmSend.cs" />
    <Compile Include="IcqSharp.Packets\CliIcbmSendAck.cs" />
    <Compile Include="IcqSharp.Packets\CliIcbmSetParam.cs" />
    <Compile Include="IcqSharp.Packets\CliIconRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliLocationRightsRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliLocationSetInfo.cs" />
    <Compile Include="IcqSharp.Packets\CliMetaOfflineMessagesRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliMetaRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliPmsInvisibleAdd.cs" />
    <Compile Include="IcqSharp.Packets\CliPmsInvisibleRemove.cs" />
    <Compile Include="IcqSharp.Packets\CliPmsVisibleAdd.cs" />
    <Compile Include="IcqSharp.Packets\CliPmsVisibleRemove.cs" />
    <Compile Include="IcqSharp.Packets\CliPrivacyRightsRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliRatesAck.cs" />
    <Compile Include="IcqSharp.Packets\CliRatesRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliReady.cs" />
    <Compile Include="IcqSharp.Packets\CliSelfInfoRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliSetIdleTime.cs" />
    <Compile Include="IcqSharp.Packets\CliSetStatus.cs" />
    <Compile Include="IcqSharp.Packets\CliSsiAuthRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliSsiRemoveYourself.cs" />
    <Compile Include="IcqSharp.Packets\CliSsiRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliSsiRightsRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliSsiUpdate.cs" />
    <Compile Include="IcqSharp.Packets\ClisSsiActivate.cs" />
    <Compile Include="IcqSharp.Packets\CliTypingNotification.cs" />
    <Compile Include="IcqSharp.Packets\CliUserinfoRequest.cs" />
    <Compile Include="IcqSharp.Packets\CliXStatusRequest.cs" />
    <Compile Include="IcqSharp.Packets\ErrorCodes.cs" />
    <Compile Include="IcqSharp.Packets\FlapPacket.cs" />
    <Compile Include="IcqSharp.Packets\MetaPacket.cs" />
    <Compile Include="IcqSharp.Packets\PacketHandler.cs" />
    <Compile Include="IcqSharp.Packets\PacketType.cs" />
    <Compile Include="IcqSharp.Packets\SnacPacket.cs" />
    <Compile Include="IcqSharp.Packets\SrvBuddyListRightsResponse.cs" />
    <Compile Include="IcqSharp.Packets\SrvFamilies.cs" />
    <Compile Include="IcqSharp.Packets\SrvFamiliesVersions.cs" />
    <Compile Include="IcqSharp.Packets\SrvIcbmAck.cs" />
    <Compile Include="IcqSharp.Packets\SrvIcbmClient.cs" />
    <Compile Include="IcqSharp.Packets\SrvIcbmError.cs" />
    <Compile Include="IcqSharp.Packets\SrvIcbmMsgFailed.cs" />
    <Compile Include="IcqSharp.Packets\SrvIcbmParamResponse.cs" />
    <Compile Include="IcqSharp.Packets\SrvIcbmSendAck.cs" />
    <Compile Include="IcqSharp.Packets\SrvLocationRightsResponse.cs" />
    <Compile Include="IcqSharp.Packets\SrvMetaResponse.cs" />
    <Compile Include="IcqSharp.Packets\SrvPrivacyRightsResponse.cs" />
    <Compile Include="IcqSharp.Packets\SrvRateLimitInfo.cs" />
    <Compile Include="IcqSharp.Packets\SrvSsiResponse.cs" />
    <Compile Include="IcqSharp.Packets\SrvSsiRightsResponse.cs" />
    <Compile Include="IcqSharp.Packets\SrvSsiYouWereAdded.cs" />
    <Compile Include="IcqSharp.Packets\SrvTypingNotification.cs" />
    <Compile Include="IcqSharp.Packets\SrvUserinfoResponse.cs" />
    <Compile Include="IcqSharp.Packets\SrvUserOffline.cs" />
    <Compile Include="IcqSharp.Packets\SrvUserOnline.cs" />
    <Compile Include="IcqSharp.Util\BigEndianBitConverter.cs" />
    <Compile Include="IcqSharp.Util\Clsid.cs" />
    <Compile Include="IcqSharp.Util\DebugFu.cs" />
    <Compile Include="IcqSharp.Util\EndianBinaryReader.cs" />
    <Compile Include="IcqSharp.Util\EndianBinaryWriter.cs" />
    <Compile Include="IcqSharp.Util\EndianBitConverter.cs" />
    <Compile Include="IcqSharp.Util\Endianness.cs" />
    <Compile Include="IcqSharp.Util\LittleEndianBitConverter.cs" />
    <Compile Include="IcqSharp.Util\Log.cs" />
    <Compile Include="IcqSharp.Util\ReflectionFu.cs" />
    <Compile Include="IcqSharp.Util\Timer.cs" />
    <Compile Include="IcqSharp.Util\Tlv.cs" />
    <Compile Include="IcqSharp.Util\TlvList.cs" />
    <Compile Include="Messaging.cs" />
    <Compile Include="PrivacyManager.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Session.cs" />
    <Compile Include="StatusManager.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>